/* Automatically generated nanopb constant definitions */
/* Generated by nanopb-0.3.9.3 at Mon May 13 01:04:49 2019. */

#include "common.pb.h"

/* @@protoc_insertion_point(includes) */
#if PB_PROTO_HEADER_VERSION != 30
#error Regenerate this file with the current version of nanopb generator.
#endif



const pb_field_t device_messaging_device_v1_CommandId_fields[3] = {
    PB_ONEOF_FIELD(value,   1, INT64   , ONEOF, STATIC  , FIRST, device_messaging_device_v1_CommandId, int64_value, int64_value, 0),
    PB_ONEOF_FIELD(value,   2, MESSAGE , ONEOF, STATIC  , UNION, device_messaging_device_v1_CommandId, pair_of_int32, pair_of_int32, &device_messaging_device_v1_CommandId_PairOfInt32_fields),
    PB_LAST_FIELD
};

const pb_field_t device_messaging_device_v1_CommandId_PairOfInt32_fields[3] = {
    PB_FIELD(  1, INT32   , SINGULAR, STATIC  , FIRST, device_messaging_device_v1_CommandId_PairOfInt32, high, high, 0),
    PB_FIELD(  2, UINT32  , SINGULAR, STATIC  , OTHER, device_messaging_device_v1_CommandId_PairOfInt32, low, high, 0),
    PB_LAST_FIELD
};

const pb_field_t device_messaging_device_v1_Value_fields[3] = {
    PB_ONEOF_FIELD(type,   1, INT32   , ONEOF, STATIC  , FIRST, device_messaging_device_v1_Value, int32, int32, 0),
    PB_ONEOF_FIELD(type,   2, FLOAT   , ONEOF, STATIC  , UNION, device_messaging_device_v1_Value, float32, float32, 0),
    PB_LAST_FIELD
};


/* Check that field information fits in pb_field_t */
#if !defined(PB_FIELD_32BIT)
/* If you get an error here, it means that you need to define PB_FIELD_32BIT
 * compile-time option. You can do that in pb.h or on compiler command line.
 * 
 * The reason you need to do this is that some of your messages contain tag
 * numbers or field sizes that are larger than what can fit in 8 or 16 bit
 * field descriptors.
 */
PB_STATIC_ASSERT((pb_membersize(device_messaging_device_v1_CommandId, value.pair_of_int32) < 65536), YOU_MUST_DEFINE_PB_FIELD_32BIT_FOR_MESSAGES_device_messaging_device_v1_CommandId_device_messaging_device_v1_CommandId_PairOfInt32_device_messaging_device_v1_Value)
#endif

#if !defined(PB_FIELD_16BIT) && !defined(PB_FIELD_32BIT)
/* If you get an error here, it means that you need to define PB_FIELD_16BIT
 * compile-time option. You can do that in pb.h or on compiler command line.
 * 
 * The reason you need to do this is that some of your messages contain tag
 * numbers or field sizes that are larger than what can fit in the default
 * 8 bit descriptors.
 */
PB_STATIC_ASSERT((pb_membersize(device_messaging_device_v1_CommandId, value.pair_of_int32) < 256), YOU_MUST_DEFINE_PB_FIELD_16BIT_FOR_MESSAGES_device_messaging_device_v1_CommandId_device_messaging_device_v1_CommandId_PairOfInt32_device_messaging_device_v1_Value)
#endif


/* @@protoc_insertion_point(eof) */
